For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update WordPress plugins

Update one or more installed plugins to their latest version on a WordPress installation.

Update WordPress plugins

post

Update one or more installed plugins to their latest version on a WordPress installation.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

This operation is asynchronous: a successful response only means the update job has been queued.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Body
pluginsstring[] · min: 1 · max: 20Required

Slugs of the installed plugins to update to their latest version.

Example: ["akismet","hello-dolly"]
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
post/api/hosting/v1/accounts/{username}/wordpress/{software}/plugins/update
POST /api/hosting/v1/accounts/{username}/wordpress/{software}/plugins/update HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 37

{
  "plugins": [
    "akismet",
    "hello-dolly"
  ]
}
{
  "message": "Request accepted"
}

Last updated

Was this helpful?